%define libdaemon_major 0
%define liblogin_major 0
%define libjournal_major 0
%define libid128_major 0
%define libudev_major 1
%define libgudev_api 1.0
%define libgudev_major 0

%define libdaemon %mklibname systemd-daemon %{libdaemon_major}
%define liblogin %mklibname systemd-login %{liblogin_major}
%define libjournal %mklibname systemd-journal %{libjournal_major}
%define libid128 %mklibname systemd-id 128 %{libid128_major}

%define libudev %mklibname udev %{libudev_major}
%define libudev_devel %mklibname -d udev

%define libgudev %mklibname gudev %{libgudev_api} %{libgudev_major}
%define libgudev_devel %mklibname -d gudev %{libgudev_api}
%define libgudev_gir %mklibname gudev-gir %{libgudev_api}

Summary:	A System and Session Manager
Name:		systemd
Version:	208
Release:	%mkrel 10
License:	GPLv2+
Group:		System/Boot and Init
Url:		http://www.freedesktop.org/wiki/Software/systemd
Source0:	http://www.freedesktop.org/software/systemd/%{name}-%{version}.tar.xz

Source10: 50-udev-mageia.rules
Source11: 69-printeracl.rules
# (hk) udev rules for zte 3g modems with drakx-net
Source12: 61-mobile-zte-drakx-net.rules

# (blino) net rules and helpers
Source20: 81-net.rules
Source21: udev_net_create_ifcfg
Source22: udev_net_action
Source23: udev_net.sysconfig

# (cg) Upstream cherry picks
# NB Most are identical to fedora patches
Patch100: 0100-acpi-fptd-fix-memory-leak-in-acpi_get_boot_usec.patch
Patch101: 0101-fix-lingering-references-to-var-lib-backlight-random.patch
Patch102: 0102-acpi-make-sure-we-never-free-an-uninitialized-pointe.patch
Patch103: 0103-systemctl-fix-name-mangling-for-sysv-units.patch
Patch104: 0104-cryptsetup-fix-OOM-handling-when-parsing-mount-optio.patch
Patch105: 0105-journald-add-missing-error-check.patch
Patch106: 0106-bus-fix-potentially-uninitialized-memory-access.patch
Patch107: 0107-dbus-fix-return-value-of-dispatch_rqueue.patch
Patch108: 0108-modules-load-fix-error-handling.patch
Patch109: 0109-efi-never-call-qsort-on-potentially-NULL-arrays.patch
Patch110: 0110-strv-don-t-access-potentially-NULL-string-arrays.patch
Patch111: 0111-mkdir-pass-a-proper-function-pointer-to-mkdir_safe_i.patch
Patch112: 0112-tmpfiles.d-include-setgid-perms-for-run-log-journal.patch
Patch113: 0113-execute.c-always-set-SHELL.patch
Patch114: 0114-man-Improve-the-description-of-parameter-X-in-tmpfil.patch
Patch115: 0115-execute-more-debugging-messages.patch
Patch116: 0116-gpt-auto-generator-exit-immediately-if-in-container.patch
Patch117: 0117-systemd-order-remote-mounts-from-mountinfo-before-re.patch
Patch118: 0118-manager-when-verifying-whether-clients-may-change-en.patch
Patch119: 0119-logind-fix-bus-introspection-data-for-TakeControl.patch
Patch120: 0120-mount-check-for-NULL-before-reading-pm-what.patch
Patch121: 0121-core-do-not-add-what-to-RequiresMountsFor-for-networ.patch
Patch122: 0122-utf8-fix-utf8_is_printable.patch
Patch123: 0123-shared-util-fix-off-by-one-error-in-tag_to_udev_node.patch
Patch124: 0124-systemd-serialize-deserialize-forbid_restart-value.patch
Patch125: 0125-core-unify-the-way-we-denote-serialization-attribute.patch
Patch126: 0126-journald-fix-minor-memory-leak.patch
Patch127: 0127-keymap-Fix-Samsung-900X-34-C.patch
Patch128: 0128-do-not-accept-garbage-from-acpi-firmware-performance.patch
Patch129: 0129-journald-remove-rotated-file-from-hashmap-when-rotat.patch
Patch130: 0130-login-fix-invalid-free-in-sd_session_get_vt.patch
Patch131: 0131-login-make-sd_session_get_vt-actually-work.patch
Patch132: 0132-udevadm.xml-document-resolve-names-option-for-test.patch
Patch133: 0133-Never-call-qsort-on-potentially-NULL-arrays.patch
Patch134: 0134-dbus-common-avoid-leak-in-error-path.patch
Patch135: 0135-drop-ins-check-return-value.patch
Patch136: 0136-Make-sure-that-we-don-t-dereference-NULL.patch
#Patch137: 0137-gitignore-ignore-clang-analyze-output.patch
Patch138: 0138-man-add-more-markup-to-udevadm-8.patch
Patch139: 0139-shared-util-Fix-glob_extend-argument.patch
Patch140: 0140-Fix-bad-assert-in-show_pid_array.patch
Patch141: 0141-Fix-for-SIGSEGV-in-systemd-bootchart-on-short-living.patch
Patch142: 0142-man-document-the-b-special-boot-option.patch
Patch143: 0143-logind-allow-unprivileged-session-device-access.patch
Patch144: 0144-rules-expose-loop-block-devices-to-systemd.patch
Patch145: 0145-rules-don-t-limit-some-of-the-rules-to-the-add-actio.patch
Patch146: 0146-tmpfiles-log-unaccessible-FUSE-mount-points-only-as-.patch
Patch147: 0147-hwdb-update.patch
Patch148: 0148-rules-remove-pointless-MODE-settings.patch
Patch149: 0149-analyze-set-white-backgound.patch
Patch150: 0150-shell-completion-dump-has-moved-to-systemd-analyze.patch
Patch151: 0151-systemd-use-unit-name-in-PrivateTmp-directories.patch
Patch152: 0152-catalog-remove-links-to-non-existent-wiki-pages.patch
Patch153: 0153-journalctl-add-list-boots-to-show-boot-IDs-and-times.patch
Patch154: 0154-udev-builtin-path_id-add-support-for-bcma-bus.patch
Patch155: 0155-udev-ata_id-log-faling-ioctls-as-debug.patch
Patch156: 0156-libudev-default-log_priority-to-INFO.patch
Patch157: 0157-nspawn-only-pass-in-slice-setting-if-it-is-set.patch
Patch158: 0158-zsh-completion-add-systemd-run.patch
Patch159: 0159-man-explain-NAME-in-systemctl-man-page.patch
Patch160: 0160-virt-move-caching-of-virtualization-check-results-in.patch
Patch161: 0161-systemctl-fix-typo-in-help-text.patch
Patch162: 0162-analyze-plot-place-the-text-on-the-side-with-most-sp.patch
Patch163: 0163-detect_virtualization-returns-NULL-pass-empty-string.patch
Patch164: 0164-rules-load-path_id-on-DRM-devices.patch
Patch165: 0165-rules-simply-60-drm.rules.patch
Patch166: 0166-udev-builtin-keyboard-Fix-large-scan-codes-on-32-bit.patch
Patch167: 0167-nspawn-log-out-of-memory-errors.patch
Patch168: 0168-Configurable-Timeouts-Restarts-default-values.patch
Patch169: 0169-man-fix-typo.patch
Patch170: 0170-man-do-not-use-term-in-para.patch
Patch171: 0171-cgroup-run-PID-1-in-the-root-cgroup.patch
Patch172: 0172-shutdown-trim-the-cgroup-tree-on-loop-iteration.patch
Patch173: 0173-nspawn-split-out-pty-forwaring-logic-into-ptyfwd.c.patch
Patch174: 0174-nspawn-explicitly-terminate-machines-when-we-exit-ns.patch
Patch175: 0175-run-support-system-to-match-other-commands-even-if-r.patch
Patch176: 0176-acpi-fpdt-break-on-zero-or-negative-length-read.patch
Patch177: 0177-man-add-rationale-into-systemd-halt-8.patch
Patch178: 0178-systemd-python-convert-keyword-value-to-string.patch
Patch179: 0179-systemctl-make-LOAD-column-width-dynamic.patch
Patch180: 0180-Make-hibernation-test-work-for-swap-files.patch
Patch181: 0181-man-add-docs-for-sd_is_special-and-some-man-page-sym.patch
Patch182: 0182-systemctl-return-r-instead-of-always-returning-0.patch
Patch183: 0183-journal-fix-minor-memory-leak.patch
Patch184: 0184-manager-configurable-StartLimit-default-values.patch
Patch185: 0185-man-units-fix-installation-of-systemd-nspawn-.servic.patch
Patch186: 0186-systemd-fix-memory-leak-in-cgroup-code.patch
Patch187: 0187-button-don-t-exit-if-we-cannot-handle-a-button-press.patch
Patch188: 0188-timer-properly-format-relative-timestamps-in-the-fut.patch
Patch189: 0189-timer-consider-usec_t-1-an-invalid-timestamp.patch
Patch190: 0190-udev-usb_id-remove-obsoleted-bInterfaceSubClass-5-ma.patch
Patch191: 0191-Add-support-for-saving-restoring-keyboard-backlights.patch
Patch192: 0192-static-nodes-don-t-call-mkdir.patch
Patch193: 0193-Fix-kmod-error-message-to-have-correct-version-requi.patch
Patch194: 0194-systemd-python-fix-booted-and-add-two-functions-to-d.patch
Patch195: 0195-activate-mention-E-in-the-help-text.patch
Patch196: 0196-activate-fix-crash-when-s-is-passed.patch
Patch197: 0197-journal-timestamp-support-on-console-messages.patch
Patch198: 0198-man-add-bootctl-8.patch
Patch199: 0199-zsh-completion-add-bootctl.patch
Patch200: 0200-Resolve-dev-console-to-the-active-tty-instead-of-jus.patch
Patch201: 0201-Only-disable-output-on-console-during-boot-if-needed.patch
Patch202: 0202-Fix-possible-lack-of-status-messages-on-shutdown-reb.patch
Patch203: 0203-fsck-modernization.patch
Patch204: 0204-Introduce-udev-object-cleanup-functions.patch
Patch205: 0205-util-allow-trailing-semicolons-on-define_trivial_cle.patch
Patch206: 0206-fsck-fstab-generator-be-lenient-about-missing-fsck.-.patch
Patch207: 0207-fstab-generator-use-RequiresOverridable-for-fsck-uni.patch
Patch208: 0208-bash-completion-journalctl-file.patch
Patch209: 0209-random-seed-improve-debugging-messages-a-bit.patch
Patch210: 0210-Fix-RemainAfterExit-services-keeping-a-hold-on-conso.patch
Patch211: 0211-tmpfiles-adjust-excludes-for-the-new-per-service-pri.patch
Patch212: 0212-core-socket-fix-SO_REUSEPORT.patch
Patch213: 0213-localed-match-converted-keymaps-before-legacy.patch
Patch214: 0214-keymap-Add-Toshiba-Satellite-U940.patch
Patch215: 0215-calendar-support-yearly-and-annually-names-the-same-.patch
Patch216: 0216-hashmap-be-a-bit-more-conservative-with-pre-allocati.patch
Patch217: 0217-manager-don-t-do-plymouth-in-a-container.patch
Patch218: 0218-nspawn-add-new-drop-capability-switch.patch
Patch219: 0219-valgrind-make-running-PID-1-in-valgrind-useful.patch
Patch220: 0220-efi-boot-generator-don-t-mount-boot-eagerly.patch
Patch221: 0221-hwdb-Update-database-of-Bluetooth-company-identifier.patch
Patch222: 0222-journal-when-appending-to-journal-file-allocate-larg.patch
Patch223: 0223-journal-make-table-const.patch
Patch224: 0224-journald-keep-statistics-on-how-of-we-hit-miss-the-m.patch
Patch225: 0225-journal-optimize-bisection-logic-a-bit-by-caching-th.patch
Patch226: 0226-journal-fix-iteration-when-we-go-backwards-from-the-.patch
Patch227: 0227-journal-allow-journal_file_copy_entry-to-work-on-non.patch
Patch228: 0228-journal-simplify-pre-allocation-logic.patch
Patch229: 0229-journald-mention-how-long-we-needed-to-flush-to-var-.patch
Patch230: 0230-automount-log-info-about-triggering-process.patch
Patch231: 0231-virt-split-detect_vm-into-separate-functions.patch
Patch232: 0232-hwdb-Update-database-of-Bluetooth-company-identifier.patch
Patch233: 0233-sysfs-show.c-return-negative-error.patch
Patch234: 0234-util.c-check-if-return-value-from-ttyname_r-is-0-ins.patch
Patch235: 0235-docs-remove-unneeded-the-s-in-gudev-docs.patch
Patch236: 0236-man-explicitly-say-when-multiple-units-can-be-specif.patch
Patch237: 0237-systemd-treat-reload-failure-as-failure.patch
Patch238: 0238-journal-fail-silently-in-sd_j_sendv-if-journal-is-un.patch
Patch239: 0239-systemd-add-a-start-job-for-all-units-specified-with.patch
Patch240: 0240-core-device-ignore-SYSTEMD_WANTS-in-user-mode.patch
Patch241: 0241-pam_systemd-do-not-set-XDG_RUNTIME_DIR-if-the-sessio.patch
Patch242: 0242-login-Don-t-stop-a-running-user-manager-from-garbage.patch
Patch243: 0243-Fix-memory-leak-in-stdout-journal-streams.patch
Patch244: 0244-man-document-is-enabled-output.patch
Patch245: 0245-kernel-install-add-h-help.patch
Patch246: 0246-kernel-install-fix-help-output.patch
Patch247: 0247-man-improve-wording-and-comma-usage-in-systemd.journ.patch
Patch248: 0248-drop-several-entries-from-kbd-model-map-whose-kbd-la.patch
Patch249: 0249-correct-name-of-Tajik-kbd-layout-in-kbd-model-map.patch
Patch250: 0250-hwdb-Update-database-of-Bluetooth-company-identifier.patch
Patch251: 0251-Ensure-unit-is-journaled-for-short-lived-or-oneshot-.patch
Patch252: 0252-libudev-hwdb-use-libudev-not-systemd-logging.patch
Patch253: 0253-core-manager-remove-infinite-loop.patch
Patch254: 0254-util-check-for-overflow-in-greedy_realloc.patch
Patch255: 0255-journald-use-a-bit-more-cleanup-magic.patch
Patch256: 0256-journald-malloc-less-when-streaming-messages.patch
Patch257: 0257-activate-clean-up-inherited-descriptors.patch
Patch258: 0258-man-explain-in-more-detail-how-SYSTEMD_READY-influen.patch
Patch259: 0259-units-don-t-run-readahead-done-timers-in-containers.patch
Patch260: 0260-test-fileio-replace-mktemp-with-mkstemp-to-avoid-war.patch
Patch261: 0261-journal-pipe-journalctl-help-output-into-a-pager.patch
Patch262: 0262-nspawn-complain-and-continue-if-machine-has-same-id.patch
Patch263: 0263-man-beef-up-ExecStart-description.patch
Patch264: 0264-man-remove-advice-to-avoid-setting-the-same-var-more.patch
Patch265: 0265-systemctl-add-the-plain-option-to-the-help-message.patch
Patch266: 0266-Fix-a-few-resource-leaks-in-error-paths.patch
Patch267: 0267-Fix-a-few-signed-unsigned-format-string-issues.patch
Patch268: 0268-util-try-harder-to-increase-the-send-recv-buffers-of.patch
Patch269: 0269-execute-also-set-SO_SNDBUF-when-spawning-a-service-w.patch
Patch270: 0270-journal-file-protect-against-alloca-0.patch
Patch271: 0271-man-describe-journalctl-show-cursor.patch
Patch272: 0272-journal-fix-against-theoretical-undefined-behavior.patch
Patch273: 0273-journald-downgrade-warning-message-when-dev-kmsg-doe.patch
Patch274: 0274-journal-file.c-remove-redundant-assignment-of-variab.patch
Patch275: 0275-libudev-devices-received-from-udev-are-always-initia.patch
Patch276: 0276-log-don-t-reopen-dev-console-each-time-we-call-log_o.patch
Patch277: 0277-log-when-we-log-to-dev-console-and-got-disconnected-.patch
Patch278: 0278-loginctl-when-showing-device-tree-of-seats-with-no-d.patch
Patch279: 0279-man-be-more-explicit-about-option-arguments-that-tak.patch
Patch280: 0280-man-add-DOI-for-refereed-article-on-Forward-Secure-S.patch
Patch281: 0281-journalctl-zsh-completion-fix-several-issues-in-help.patch
Patch282: 0282-keymap-Refactor-Acer-tables.patch
Patch283: 0283-logging-reduce-send-timeout-to-something-more-sensib.patch
Patch284: 0284-DEFAULT_PATH_SPLIT_USR-macro.patch
Patch285: 0285-fstab-generator-Do-not-try-to-fsck-non-devices.patch
Patch286: 0286-logind-remove-dead-variable.patch
Patch287: 0287-hwdb-update.patch
Patch288: 0288-delta-replace-readdir_r-with-readdir.patch
Patch289: 0289-delta-fix-delta-for-drop-ins.patch
Patch290: 0290-delta-if-prefix-is-specified-only-show-overrides-the.patch
Patch291: 0291-log-log_error-and-friends-add-a-newline-after-each-l.patch
Patch292: 0292-man-units-tmpfiles.d-5-cleanup.patch
Patch293: 0293-tmpfiles-introduce-the-concept-of-unsafe-operations.patch
Patch294: 0294-sleep-config-fix-useless-check-for-swapfile-type.patch
Patch295: 0295-journalctl-make-sure-b-foobar-cannot-be-misunderstoo.patch
Patch296: 0296-man-resolve-word-omissions.patch
Patch297: 0297-man-improvements-to-comma-placement.patch
Patch298: 0298-man-grammar-and-wording-improvements.patch
Patch299: 0299-man-document-fail-nofail-auto-noauto.patch
Patch300: 0300-man-fix-description-of-is-enabled-returned-value.patch
Patch301: 0301-man-fix-Type-reference.patch
Patch302: 0302-man-fix-Type-reference-v2.patch
Patch303: 0303-hwdb-Update-database-of-Bluetooth-company-identifier.patch
Patch304: 0304-man-add-a-note-about-propagating-signals.patch
Patch305: 0305-man-include-autoconf-snippet-in-daemon-7.patch
Patch306: 0306-systemd-python-fix-setting-of-exception-codes.patch
Patch307: 0307-systemd-python-fix-listen_fds-under-Python-2.patch
Patch308: 0308-man-expand-on-some-more-subtle-points-in-systemd.soc.patch
Patch309: 0309-tmpfiles-rename-unsafe-to-boot.patch
Patch310: 0310-sleep-config-Dereference-pointer-before-check-for-NU.patch
Patch311: 0311-sleep-config-fix-double-free.patch
Patch312: 0312-rules-drivers-do-not-reset-RUN-list.patch
Patch313: 0313-core-manager-print-info-about-interesting-signals.patch
Patch314: 0314-core-service-check-if-mainpid-matches-only-if-it-is-.patch
Patch315: 0315-man-typo-fix.patch
Patch316: 0316-swap-remove-if-else-with-the-same-data-path.patch
Patch317: 0317-hwdb-update.patch
Patch318: 0318-journal-Add-missing-byte-order-conversions.patch
Patch319: 0319-hwdb-change-key-mappings-for-Samsung-90X3A.patch
Patch320: 0320-hwdb-add-Samsung-700G.patch
Patch321: 0321-hwdb-remove-duplicate-entry-for-Samsung-700Z.patch
Patch322: 0322-hwdb-fix-match-for-Thinkpad-X201-tablet.patch
Patch323: 0323-keymap-Recognize-different-Toshiba-Satellite-capital.patch
Patch324: 0324-sleep.c-fix-typo.patch
Patch325: 0325-delta-ensure-that-d_type-will-be-set-on-every-fs.patch
Patch326: 0326-tmpfiles-don-t-allow-label_fix-to-print-ENOENT-when-.patch
Patch327: 0327-man-mention-which-variables-will-be-expanded-in-Exec.patch
Patch328: 0328-hwdb-Add-support-for-Toshiba-Satellite-P75-A7200-key.patch
Patch329: 0329-journal-fix-access-to-munmapped-memory-in-sd_journal.patch
Patch330: 0330-gpt-auto-generator-skip-nonexistent-devices.patch
Patch331: 0331-gpt-auto-generator-use-EBADSLT-code-when-unable-to-d.patch
Patch332: 0332-journald-do-not-free-space-when-disk-space-runs-low.patch
Patch333: 0333-man-add-busctl-1.patch
Patch334: 0334-udev-static_node-do-not-exit-rule-after-first-static.patch

# (cg) These patches are in fedora but not upstream (possibly not needed due to
# kdbus/lib-sdbus rework)
Patch400: 0400-hostnamed-avoid-using-NULL-in-error-path.patch
Patch401: 0401-core-do-not-segfault-if-swap-activity-happens-when-p.patch

# (cg/bor) clean up directories on boot as done by rc.sysinit
# - Lennart should be poked about this (he couldn't think why he hadn't done it already)
Patch500: 0500-Clean-directories-that-were-cleaned-up-by-rc.sysinit.patch
Patch501: 0501-main-Add-failsafe-to-the-sysvinit-compat-cmdline-key.patch
Patch502: 0502-mageia-Fallback-message-when-display-manager-fails.patch
Patch503: 0503-Disable-modprobe-pci-devices-on-coldplug-for-storage.patch
Patch504: 0504-Allow-booting-from-live-cd-in-virtualbox.patch
Patch505: 0505-reinstate-TIMEOUT-handling.patch
Patch506: 0506-udev-Allow-the-udevadm-settle-timeout-to-be-set-via-.patch
Patch507: 0507-Mageia-Relax-perms-on-sys-kernel-debug-for-lspcidrak.patch
Patch508: 0508-udev-rules-Apply-SuSE-patch-to-restore-cdrom-cdrw-dv.patch
Patch509: 0509-pam_systemd-Always-reset-XDG_RUNTIME_DIR.patch
Patch510: 0510-logind-use-correct-who-enum-values-with-KillUnit.patch
Patch511: 0511-logind-Partial-backport-of-cc377381.patch
Patch512: 0512-pam-Suppress-errors-in-the-SuSE-patch-to-unset-XDG_R.patch
Patch513: 0513-systemctl-Do-not-attempt-native-calls-for-enable-dis.patch
Patch514: 0514-systemctl-Ensure-the-no-reload-and-no-redirect-optio.patch
Patch515: 0515-Temporary-work-around-for-slow-shutdown-due-to-unter.patch

# (cg) Some patches added by me...
Patch900: 0900-Revert-core-notify-triggered-by-socket-of-a-service.patch

BuildRequires:	dbus-devel >= 1.4.0
BuildRequires:	libcap-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	pam-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	vala >= 0.9
BuildRequires:	glib2-devel
BuildRequires:	libnotify-devel
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	gperf
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	cryptsetup-devel
BuildRequires:	pkgconfig(libkmod)
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	python-devel
BuildRequires:	pkgconfig(libmicrohttpd)
BuildRequires:	pkgconfig(liblzma)
# (cg) don't add more deps for now but add this when cauldron reopens.
#BuildRequires:	pkgconfig(libqrencode)
Requires(pre):	filesystem >= 2.1.9-18
Requires(pre):	shadow-utils
Requires:	systemd-units = %{version}-%{release}
Requires:	dbus >= 1.3.2
Requires:	initscripts >= 9.21-3
Requires:	util-linux-ng >= 2.18
Requires:	nss-myhostname
Requires:	lockdev
Conflicts:	initscripts < 9.25
Provides:	should-restart = system
Provides: udev = %{version}-%{release}
Obsoletes: udev < 185
Provides:  systemd-sysvinit = %{version}-%{release}
Conflicts: systemd-sysvinit < 185
Obsoletes: systemd-sysvinit < 185
Provides:  sysvinit = 2.87-22
Obsoletes: sysvinit < 2.87-22
Conflicts: SysVinit
# Due to halt/poweroff etc. in _bindir
Conflicts: usermode-consoleonly < 1:1.110
Provides:  system-logger
# (blino) consolekit has been replaced by systemd-logind
Obsoletes: consolekit
Obsoletes: consolekit-x11
Obsoletes: libconsolekit0
Obsoletes: lib64consolekit0
Obsoletes: systemd-tools

%description
systemd is a system and session manager for Linux, compatible with
SysV and LSB init scripts. systemd provides aggressive parallelization
capabilities, uses socket and D-Bus activation for starting services,
offers on-demand starting of daemons, keeps track of processes using
Linux cgroups, supports snapshotting and restoring of the system
state, maintains mount and automount points and implements an
elaborate transactional dependency-based service control logic. It can
work as a drop-in replacement for sysvinit.

%package units
Summary:	Configuration files, directories and installation tool for systemd
Group:		System/Boot and Init
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{name} = %{version}-%{release}
Requires:	chkconfig > 1.3.61-2
Conflicts:	initscripts < 9.25
Requires(post): coreutils grep awk

%description units
Basic configuration files, directories and installation tool for the systemd
system and session manager.

%package -n python-%{name}
Summary:	Python bindings for %{name}
Group:		Development/Python

%description -n python-%{name}
Python bindings for %{name}

%package devel
Summary:       Systemd development files
Group:         Development/C
Conflicts:     %{name} <= 35-4
Requires:      %{libdaemon} = %{version}-%{release}
Requires:      %{liblogin} = %{version}-%{release}
Requires:      %{libjournal} = %{version}-%{release}
Requires:      %{libid128} = %{version}-%{release}
# (cg) Obsolete the old, versioned/split devel packages
Provides:      libsystemd-daemon-devel = %{version}-%{release}
Provides:      %{mklibname -d systemd-daemon 0} = %{version}-%{release}
Obsoletes:     %{mklibname -d systemd-daemon 0} < 185
Provides:      %{mklibname -d systemd-daemon} = %{version}-%{release}
Obsoletes:     %{mklibname -d systemd-daemon} < 186
Provides:      libsystemd-login-devel = %{version}-%{release}
Provides:      %{mklibname -d systemd-login 0} = %{version}-%{release}
Obsoletes:     %{mklibname -d systemd-login 0} < 185
Provides:      %{mklibname -d systemd-login} = %{version}-%{release}
Obsoletes:     %{mklibname -d systemd-login} < 186
Provides:      libsystemd-journal-devel = %{version}-%{release}
Provides:      %{mklibname -d systemd-journal 0} = %{version}-%{release}
Obsoletes:     %{mklibname -d systemd-journal 0} < 185
Provides:      %{mklibname -d systemd-journal} = %{version}-%{release}
Obsoletes:     %{mklibname -d systemd-journal} < 186
Provides:      libsystemd-id128-devel = %{version}-%{release}
Provides:      %{mklibname -d systemd-id128 0} = %{version}-%{release}
Obsoletes:     %{mklibname -d systemd-id128 0} < 185
Provides:      %{mklibname -d systemd-id128} = %{version}-%{release}
Obsoletes:     %{mklibname -d systemd-id128} < 186

%description devel
This package provides the development files for systemd.

%package -n nss-myhostname
Summary:	systemd provided glibc plugin for local system host name resolution
Group:		System/Base

%description -n nss-myhostname
nss-myhostname is a plugin for the GNU Name Service Switch (NSS)
functionality of the GNU C Library (glibc) providing host name
resolution for the locally configured system hostname as returned by
gethostname(2). Various software relies on an always resolvable local
host name. When using dynamic hostnames this is usually achieved by
patching /etc/hosts at the same time as changing the host name. This
however is not ideal since it requires a writable /etc file system and
is fragile because the file might be edited by the administrator at
the same time. nss-myhostname simply returns all locally configure
public IP addresses, or -- if none are configured -- the IPv4 address
127.0.0.2 (wich is on the local loopback) and the IPv6 address ::1
(which is the local host) for whatever system hostname is configured
locally. Patching /etc/hosts is thus no longer necessary.

%package -n %{libdaemon}
Summary:       Systemd-daemon library package
Group:         System/Libraries
Requires(pre): filesystem >= 2.1.9-18
Provides:      libsystemd-daemon = %{version}-%{release}

%description -n %{libdaemon}
This package provides the systemd-daemon shared library.

%package -n %{liblogin}
Summary:       Systemd-login library package
Group:         System/Libraries
Requires(pre): filesystem >= 2.1.9-18
Provides:      libsystemd-login = %{version}-%{release}

%description -n %{liblogin}
This package provides the systemd-login shared library.

%package -n %{libjournal}
Summary:       Systemd-journal library package
Group:         System/Libraries
Requires(pre): filesystem >= 2.1.9-18
Provides:      libsystemd-journal = %{version}-%{release}

%description -n %{libjournal}
This package provides the systemd-journal shared library.

%package -n %{libid128}
Summary:       Systemd-id128 library package
Group:         System/Libraries
Requires(pre): filesystem >= 2.1.9-18
Provides:      libsystemd-id128 = %{version}-%{release}
Obsoletes:     %{_lib}systemd-id1280 < 187-5

%description -n %{libid128}
This package provides the systemd-id128 shared library.

%package -n %{libudev}
Summary:       udev library package
Group:         System/Libraries
Requires(pre): filesystem >= 2.1.9-18

%description -n %{libudev}
This package provides the udev shared library.

%package -n %{libudev_devel}
Summary:       udev library development files
Group:         Development/C
Requires:      %{libudev} = %{version}-%{release}
Provides:      udev-devel = %{version}-%{release}
Provides:      libudev-devel = %{version}-%{release}
# (cg) Obsolete the old, versioned devel package
Provides:      %{mklibname -d udev 0} = %{version}-%{release}
Obsoletes:     %{mklibname -d udev 0} < 185

%description -n %{libudev_devel}
This package provides the development files for the udev shared library.

%package -n %{libgudev}
Summary:       gudev library package
Group:         System/Libraries
Requires(pre): filesystem >= 2.1.9-18
Provides:      libgudev = %{version}-%{release}

%description -n %{libgudev}
This package provides the gudev shared library.

%package -n %{libgudev_gir}
Summary:       GObject Introspection interface description for GUdev
Group:         System/Libraries
Requires:      %{libgudev} = %{version}-%{release}
Conflicts:     %{_lib}gudev1.0_0 < 187-5

%description -n %{libgudev_gir}
GObject Introspection interface description for GUdev.


%package -n %{libgudev_devel}
Summary:       gudev library development files
Group:         Development/C
Requires:      %{libgudev} = %{version}-%{release}
Provides:      libgudev-devel = %{version}-%{release}
# (cg) Obsolete the old, versioned devel package
Provides:      %{mklibname -d gudev 0} = %{version}-%{release}
Obsoletes:     %{mklibname -d gudev 0} < 185

%description -n %{libgudev_devel}
This package provides the development files for the gudev shared library.


%prep
%setup -q
%apply_patches
find src/ -name "*.vala" -exec touch '{}' \;

%build
autoreconf --force --install --verbose
%configure2_5x \
  --with-rc-local-script-path-start=/etc/rc.d/rc.local \
  --enable-chkconfig \
  --disable-static \
  --disable-selinux \
  --with-firmware-path=%{_prefix}/lib/firmware/updates:%{_prefix}/lib/firmware

%make

%install
rm -rf %{buildroot}

%makeinstall_std
find %{buildroot} \( -name '*.a' -o -name '*.la' \) -exec rm {} \;

# (cg) Create and ship folder to hold user rules
install -d -m 755 %{buildroot}%{_sysconfdir}/udev/rules.d

install -m 644 %SOURCE10 %{buildroot}%{_prefix}/lib/udev/rules.d/
install -m 644 %SOURCE11 %{buildroot}%{_prefix}/lib/udev/rules.d/
# udev rules for zte 3g modems and drakx-net
install -m 0644 %SOURCE12 %{buildroot}%{_prefix}/lib/udev/rules.d/

# net rules
install -m 0644 %SOURCE20 %{buildroot}%{_prefix}/lib/udev/rules.d/
install -m 0755 %SOURCE21 %{buildroot}%{_prefix}/lib/udev/net_create_ifcfg
install -m 0755 %SOURCE22 %{buildroot}%{_prefix}/lib/udev/net_action
install -m 0755 -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 0644 %SOURCE23 %{buildroot}%{_sysconfdir}/sysconfig/udev_net


# Create SysV compatibility symlinks. systemctl/systemd are smart
# enough to detect in which way they are called.
mkdir -p %{buildroot}{%{_bindir},%{_sbindir}}
ln -s ../lib/systemd/systemd %{buildroot}%{_bindir}/systemd
ln -s ../lib/systemd/systemd %{buildroot}%{_sbindir}/init
ln -s ../bin/systemctl %{buildroot}%{_bindir}/reboot
ln -s ../bin/systemctl %{buildroot}%{_bindir}/halt
ln -s ../bin/systemctl %{buildroot}%{_bindir}/poweroff
ln -s ../bin/systemctl %{buildroot}%{_sbindir}/shutdown
ln -s ../bin/systemctl %{buildroot}%{_sbindir}/telinit
ln -s ../bin/systemctl %{buildroot}%{_sbindir}/runlevel

# Also add a symlink for udevadm for now as lots of things use an absolute path
ln -s ../bin/udevadm %{buildroot}%{_sbindir}/udevadm

# (cg) Add aliases for prefdm.service
ln -s prefdm.service %{buildroot}%{_prefix}/lib/systemd/system/display-manager.service
ln -s prefdm.service %{buildroot}%{_prefix}/lib/systemd/system/dm.service

# We create all wants links manually at installation time to make sure
# they are not owned and hence overriden by rpm after the used deleted
# them.
rm -r %{buildroot}%{_sysconfdir}/systemd/system/*.target.wants

# (cg) To avoid making life hard for developers, don't package the
# kernel.core_pattern setting until systemd-coredump is a part of an actual
# systemd release and it's made clear how to get the core dumps out of the
# journal.
rm -f %{buildroot}%{_prefix}/lib/sysctl.d/50-coredump.conf

# Make sure these directories are properly owned
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system/basic.target.wants
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system/default.target.wants
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system/syslog.target.wants

# And the default symlink we generate automatically based on inittab
rm -f %{buildroot}%{_sysconfdir}/systemd/system/default.target

# (bor) make sure we own directory for bluez to install service
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system/bluetooth.target.wants

# (cg) Set up the pager to make it generally more useful
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/40systemd.sh << EOF
export SYSTEMD_PAGER="/usr/bin/less -FR"
EOF
chmod 644 %{buildroot}%{_sysconfdir}/profile.d/40systemd.sh

# (bor) enable rpcbind.target by default so we have something to plug
# portmapper service into
ln -s ../rpcbind.target %{buildroot}%{_prefix}/lib/systemd/system/multi-user.target.wants

# create modules.conf as a symlink to /etc/
ln -s /etc/modules %{buildroot}%{_sysconfdir}/modules-load.d/modules.conf

# Create new-style configuration files so that we can ghost-own them
touch %{buildroot}%{_sysconfdir}/hostname
touch %{buildroot}%{_sysconfdir}/vconsole.conf
touch %{buildroot}%{_sysconfdir}/locale.conf
touch %{buildroot}%{_sysconfdir}/machine-id
touch %{buildroot}%{_sysconfdir}/machine-info
touch %{buildroot}%{_sysconfdir}/timezone
mkdir -p %{buildroot}%{_sysconfdir}/X11/xorg.conf.d
touch %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf
mkdir -p %{buildroot}%{_sysconfdir}/udev
touch %{buildroot}%{_sysconfdir}/udev/hwdb.bin

# Make sure the NTP units dir exists
mkdir -p %{buildroot}%{_prefix}/lib/systemd/ntp-units.d/

# (cg) Make the journal's persistent in order to provide a real syslog implementation
install -m 0755 -d %{buildroot}%{_logdir}/journal

# automatic systemd release on rpm installs/removals
# (see http://wiki.mandriva.com/en/Rpm_filetriggers)
# (cg) I'm not sure if the file list check works against the packaged rpm
#      or what is installed, so I've added both the /lib and /usr/lib paths
#      below, even thought the former is just a symlink to the latter
install -d %{buildroot}%{_var}/lib/rpm/filetriggers
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.filter << EOF
^./usr/lib/systemd/system/
^./lib/systemd/system/
^./etc/systemd/system/
EOF
cat > %buildroot%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.script << EOF
#!/bin/sh
if %{_bindir}/mountpoint -q /sys/fs/cgroup/systemd; then
  if [ -x %{_bindir}/systemctl ]; then
  %{_bindir}/systemctl daemon-reload >/dev/null 2>&1 || :
  fi
fi
EOF
chmod 755 %buildroot%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.script

# This file is already in sytemd-ui rpm
rm -fr %buildroot%_mandir/man1/systemadm.*


%triggerin -- glibc
# reexec daemon on self or glibc update to avoid busy / on shutdown
# trigger is executed on both self and target install so no need to have
# extra own post
if [ $1 -ge 2 -o $2 -ge 2 ] ; then
	%{_bindir}/systemctl daemon-reexec 2>&1 || :
fi

%pre
# (cg) Cannot use rpm-helper scripts as it results in a cyclical dep as
# rpm-helper requires systemd-units which in turn requires systemd...
if ! getent group %{name}-journal >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{name}-journal >/dev/null || :
fi

# Write on first install or upgrade from MGA3.
if [ ! -r %{_prefix}/lib/sysctl.d/50-default.conf ]; then
  if [ ! -d %{_sysconfdir}/sysctl.d ]; then
    mkdir -m 0755 %{_sysconfdir}/sysctl.d
  fi
  cat > %{_sysconfdir}/sysctl.d/51-alt-sysrq.conf << EOF
# This file ensures that the Alt+SysRq Magic keys still work.
# This setting is insecure, although commonly expected and you can remove this
# file to disable this feature. It will not be readded on future systemd
# upgrades/updates.
# http://en.wikipedia.org/wiki/Magic_SysRq_key#Security
kernel.sysrq = 1
EOF

fi

%post
%{_bindir}/systemd-machine-id-setup > /dev/null 2>&1 || :
%{_prefix}/lib/systemd/systemd-random-seed save >/dev/null 2>&1 || :
#%{_bindir}/systemctl daemon-reexec > /dev/null 2>&1 || :
%{_bindir}/udevadm hwdb --update >/dev/null 2>&1 || :
%{_bindir}/journalctl --update-catalog >/dev/null 2>&1 || :

if [ $1 == 1 ]; then
	# On first install process all tmpfiles that may have been installed before us
	# Hard requires on some packages on systemd might make cyclic deps on early
	# transactions.
	# We avoid systemd.conf so as not to create /run/nologin
	# NOTE We can probably revert to using filetriggers again for tmpfiles now that
	#      there is a --boot option which should make running --create without a
	#      basename config nice and safe.
	for tmpfile in %{_prefix}/lib/tmpfiles.d/*.conf; do
		if [ -f "$tmpfile" -a "$tmpfile" != "%{_prefix}/lib/tmpfiles.d/systemd-nologin.conf" ]; then
			/usr/bin/systemd-tmpfiles --create $(basename "$tmpfile")
		fi
	done
fi

# (blino) systemd 195 changed the prototype of logind's OpenSession()
# see http://lists.freedesktop.org/archives/systemd-devel/2012-October/006969.html
# and http://cgit.freedesktop.org/systemd/systemd/commit/?id=770858811930c0658b189d980159ea1ac5663467
%triggerun -- %{name} < 195-4.mga3
%{_bindir}/systemctl restart systemd-logind.service

# (cg) mageia 4 introduces the Consistent Network Device Names feature
# https://wiki.mageia.org/en/Feature:NetworkDeviceNameChange
# To prevent it being enabled on upgrades and breaking configs, we ensure the
# feature is disabled when we detect an older version of systemd being removed.
%triggerun -- %{name} < 206
echo >&2
echo "Disabling Persistent Network Device Names due to upgrade." >&2
echo "To enable, rm %{_sysconfdir}/udev/rules.d/80-net-name-slot.rules and your" >&2
echo "%{_sysconfdir}/udev/rules.d/70-persistent-net.rules files." >&2
echo "Note: Some reconfiguration of firewall and network config scripts will also" >&2
echo "      be required if you do this" >&2
echo >&2
mkdir -p %{_sysconfdir}/udev/rules.d >/dev/null 2>&1 || :
ln -s /dev/null %{_sysconfdir}/udev/rules.d/80-net-name-slot.rules >/dev/null 2>&1 || :

%triggerun -- %{name} < 208
chgrp -R systemd-journal /var/log/journal || :
chmod 02755 /var/log/journal || :
if [ -f /etc/machine-id ]; then
	chmod 02755 /var/log/journal/$(cat /etc/machine-id) || :
fi

%post units
if [ $1 -eq 1 ] ; then
        # Try to read default runlevel from the old inittab if it exists
        runlevel=$(%{_bindir}/awk -F ':' '$3 == "initdefault" && $1 !~ "^#" { print $2 }' /etc/inittab 2> /dev/null)
        if [ -z "$runlevel" ] ; then
                target="%{_prefix}/lib/systemd/system/multi-user.target"
        else
                target="%{_prefix}/lib/systemd/system/runlevel$runlevel.target"
        fi

        # And symlink what we found to the new-style default.target
        %{_bindir}/ln -sf "$target" %{_sysconfdir}/systemd/system/default.target 2>&1 || :

        # Enable the services we install by default.
        %{_bindir}/systemctl --quiet enable \
                getty@tty1.service \
                remote-fs.target \
                systemd-readahead-replay.service \
                systemd-readahead-collect.service \
                2>&1 || :
fi

hostname_new=`cat %_sysconfdir/hostname 2>/dev/null`
if [ -z $hostname_new ]; then
        hostname_old=`cat /etc/sysconfig/network 2>/dev/null | grep HOSTNAME | cut -d "=" -f2`
        if [ ! -z $hostname_old ]; then
                echo $hostname_old >> %_sysconfdir/hostname
        else
                echo "localhost" >> %_sysconfdir/hostname
        fi
fi

%preun units
if [ $1 -eq 0 ] ; then
        %{_bindir}/systemctl --quiet disable \
                getty@.service \
                remote-fs.target \
                systemd-readahead-replay.service \
                systemd-readahead-collect.service \
                2>&1 || :

        %{_bindir}/rm -f %_sysconfdir/systemd/system/default.target 2>&1 || :
fi

%postun units
if [ $1 -ge 1 ] ; then
        %{_bindir}/systemctl daemon-reload 2>&1 || :
fi

%triggerin units -- %{name}-units < 35-1
# Enable the services we install by default.
        %{_bindir}/systemctl --quiet enable \
                hwclock-load.service \
                getty@tty1.service \
                remote-fs.target \
                systemd-readahead-replay.service \
                systemd-readahead-collect.service \
                2>&1 || :
# rc-local is now enabled by default in base package
rm -f %_sysconfdir/systemd/system/multi-user.target.wants/rc-local.service || :


%files
# (cg) Note some of these directories are empty, but that is intended
%dir %{_prefix}/lib/systemd
%dir %{_prefix}/lib/systemd/system-generators
%dir %{_prefix}/lib/systemd/system-shutdown
%dir %{_prefix}/lib/systemd/system-sleep
%dir %{_prefix}/lib/systemd/ntp-units.d
%dir %{_prefix}/lib/tmpfiles.d
%dir %{_prefix}/lib/sysctl.d
%dir %{_prefix}/lib/modules-load.d
%dir %{_prefix}/lib/kernel
%dir %{_prefix}/lib/kernel/install.d
%dir %{_prefix}/lib/binfmt.d
%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.*
%config(noreplace) %{_sysconfdir}/sysconfig/udev_net
%config(noreplace) %{_sysconfdir}/systemd/bootchart.conf
%config(noreplace) %{_sysconfdir}/systemd/journald.conf
%config(noreplace) %{_sysconfdir}/systemd/system.conf
%config(noreplace) %{_sysconfdir}/systemd/logind.conf
%config(noreplace) %{_sysconfdir}/systemd/user.conf
%config(noreplace) %{_sysconfdir}/udev/udev.conf
%ghost %{_sysconfdir}/udev/hwdb.bin
%{_sysconfdir}/xdg/systemd
%ghost %config(noreplace) %{_sysconfdir}/hostname
%ghost %config(noreplace) %{_sysconfdir}/vconsole.conf
%ghost %config(noreplace) %{_sysconfdir}/locale.conf
%ghost %config(noreplace) %{_sysconfdir}/machine-id
%ghost %config(noreplace) %{_sysconfdir}/machine-info
%ghost %config(noreplace) %{_sysconfdir}/timezone
%ghost %config(noreplace) %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf
# (cg) NB dbus policy files are not really config that users are expected to
# edit manually and thus should NOT be marked as config(noreplace).
# This should really be fixed in upstream dbus (work in progress)
# to separate these policy files from /etc and ship them in /usr instead
# but allow override by admins by copying to /etc.
# There are security implications here (CVE's have been issued due to mistakes
# in these type of files)
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.systemd1.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.hostname1.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.locale1.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.login1.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.machine1.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.timedate1.conf
%{_sysconfdir}/pam.d/%{name}-user
%dir %{_sysconfdir}/udev/rules.d
# (cg) NB See pre script for soemthing that relies on this name...
# If it is ever renamed, change the pre script too
%{_prefix}/lib/sysctl.d/50-default.conf
#%{_prefix}/lib/sysctl.d/50-coredump.conf
%{_prefix}/lib/tmpfiles.d/legacy.conf
%{_prefix}/lib/tmpfiles.d/systemd.conf
%{_prefix}/lib/tmpfiles.d/systemd-nologin.conf
%{_prefix}/lib/tmpfiles.d/tmp.conf
%{_prefix}/lib/tmpfiles.d/x11.conf
%{_prefix}/lib/kernel/install.d/50-depmod.install
%{_prefix}/lib/kernel/install.d/90-loaderentry.install
%{_bindir}/bootctl
%{_bindir}/hostnamectl
%{_bindir}/journalctl
%{_bindir}/kernel-install
%{_bindir}/localectl
%{_bindir}/loginctl
%{_bindir}/machinectl
%{_bindir}/systemd
%{_bindir}/systemd-ask-password
%{_bindir}/systemd-coredumpctl
%{_bindir}/systemd-inhibit
%{_bindir}/systemd-machine-id-setup
%{_bindir}/systemd-notify
%{_bindir}/systemd-run
%{_bindir}/systemd-tmpfiles
%{_bindir}/systemd-tty-ask-password-agent
%{_bindir}/timedatectl
%{_bindir}/reboot
%{_bindir}/halt
%{_bindir}/poweroff
%{_sbindir}/shutdown
%{_sbindir}/init
%{_sbindir}/telinit
%{_sbindir}/runlevel
%{_sbindir}/udevadm
%{_prefix}/lib/systemd/systemd*
%{_prefix}/lib/systemd/system-generators/systemd-*
%{_prefix}/lib/udev
%{_libdir}/security/pam_systemd.so
%{_bindir}/systemd-analyze
%{_bindir}/systemd-cat
%{_bindir}/systemd-cgls
%{_bindir}/systemd-cgtop
%{_bindir}/systemd-delta
%{_bindir}/systemd-detect-virt
%{_bindir}/systemd-nspawn
%{_bindir}/systemd-stdio-bridge
%{_bindir}/udevadm
%dir %{_datadir}/systemd
%{_datadir}/systemd/kbd-model-map
%dir %{_datadir}/systemd/gatewayd
%{_datadir}/systemd/gatewayd/browse.html
%{_mandir}/man1/bootctl.*
%{_mandir}/man1/busctl.*
%{_mandir}/man1/hostnamectl.*
%{_mandir}/man1/journalctl.*
%{_mandir}/man1/localectl.*
%{_mandir}/man1/loginctl.*
%{_mandir}/man1/machinectl.*
%{_mandir}/man1/systemd.*
%{_mandir}/man1/systemd-*
%{_mandir}/man1/timedatectl.*
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/kernel-install.*
%{_mandir}/man8/pam_systemd.*
%{_mandir}/man8/systemd-*
%{_mandir}/man8/udevadm.*
%{_mandir}/man1/init.*
%{_mandir}/man8/halt.*
%{_mandir}/man8/reboot.*
%{_mandir}/man8/shutdown.*
%{_mandir}/man8/poweroff.*
%{_mandir}/man8/telinit.*
%{_mandir}/man8/runlevel.*
%{_sysconfdir}/init.d/README
%{_logdir}/README
%{_datadir}/dbus-1/services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.hostname1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.locale1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.login1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.machine1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.timedate1.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.hostname1.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.locale1.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Automount.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Device.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Job.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Manager.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Mount.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Path.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Service.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Snapshot.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Socket.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Swap.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Target.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Timer.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.Unit.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.timedate1.xml
%{_datadir}/polkit-1/actions/org.freedesktop.systemd1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.hostname1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.locale1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.login1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.timedate1.policy
%{_docdir}/systemd
%{_prefix}/lib/systemd/catalog/systemd.catalog
%attr(02755,root,systemd-journal) %dir %{_logdir}/journal

%files units
%defattr(-,root,root)
# (cg) Note some of these directories are empty, but that is intended
# NB I'm not totally sure of the ownership split of directories between systemd and systemd-units.
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system
%dir %{_sysconfdir}/systemd/user
%dir %{_sysconfdir}/tmpfiles.d
%dir %{_sysconfdir}/sysctl.d
%dir %{_sysconfdir}/modules-load.d
%dir %{_sysconfdir}/binfmt.d
%dir %{_datadir}/bash-completion
%{_bindir}/systemctl
%{_datadir}/bash-completion/completions
%{_datadir}/zsh/site-functions
%{_sysconfdir}/profile.d/40systemd.sh
%{_sysconfdir}/modules-load.d/*.conf
%{_prefix}/lib/systemd/system
%{_prefix}/lib/systemd/user
%{_mandir}/man1/systemctl.*

%files -n python-%{name}
%defattr(-,root,root)
%{py_platsitedir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/systemd
%{_libdir}/libsystemd-*.so
%{_libdir}/pkgconfig/libsystemd-*.pc
%{_datadir}/pkgconfig/systemd.pc
%{_prefix}/lib/rpm/macros.d/macros.systemd

%files -n nss-myhostname
%{_mandir}/man8/nss-myhostname.*
%{_libdir}/libnss_myhostname.so.2

%files -n %{libdaemon}
%defattr(-,root,root,-)
%{_libdir}/libsystemd-daemon.so.%{libdaemon_major}*

%files -n %{liblogin}
%defattr(-,root,root,-)
%{_libdir}/libsystemd-login.so.%{liblogin_major}*

%files -n %{libjournal}
%defattr(-,root,root,-)
%{_libdir}/libsystemd-journal.so.%{libjournal_major}*

%files -n %{libid128}
%defattr(-,root,root,-)
%{_libdir}/libsystemd-id128.so.%{libid128_major}*

%files -n %{libudev}
%defattr(-,root,root,-)
%{_libdir}/libudev.so.%{libudev_major}*

%files -n %{libudev_devel}
%defattr(-,root,root,-)
%{_libdir}/libudev.so
%{_includedir}/libudev.h
%{_datadir}/pkgconfig/udev.pc
%{_libdir}/pkgconfig/libudev.pc

%files -n %{libgudev}
%defattr(-,root,root,-)
%{_libdir}/libgudev-%{libgudev_api}.so.%{libgudev_major}*

%files -n %{libgudev_gir}
%{_libdir}/girepository-1.0/GUdev-%{libgudev_api}.typelib

%files -n %{libgudev_devel}
%defattr(-,root,root,-)
%{_libdir}/libgudev-%{libgudev_api}.so
%{_includedir}/gudev-%{libgudev_api}
%{_libdir}/pkgconfig/gudev-%{libgudev_api}.pc
%{_datadir}/gir-1.0/GUdev-%{libgudev_api}.gir


%changelog
* Mon Jan 27 2014 colin <colin> 208-10.mga4
+ Revision: 568432
- Default to the 'insecure' sysrq options (should be handled by msec long term) mga#10473
- Add a patch to work around user-session exit problems (slowing shutdown)

* Wed Jan 22 2014 colin <colin> 208-9.mga4
+ Revision: 567415
- Fix static nodes when multiple nodes are supplied in a single rule mga#12382

* Thu Jan 16 2014 colin <colin> 208-8.mga4
+ Revision: 566664
- Various upstream backports (brings patchset roughly in line with fedora)

* Mon Jan 13 2014 colin <colin> 208-7.mga4
+ Revision: 566495
- Require chkconfig version with the appropriate patch for smooth upgrades mga#12278

* Mon Jan 13 2014 colin <colin> 208-6.mga4
+ Revision: 566488
- Ensure native unit [Install] section information is suppressed for sysvinit scripts on enable
- Ensure chkconfig does not reload systemd when we are mid-operation (mga#12278)
- Process installed tmpfiles on first install (handles early pkg ordering issues)
- Add upstream/backported fixes for various logind issues.
- Suppress (albeit harmless) PAM error during su/sudo (resulting from SuSE patch)

* Mon Dec 09 2013 colin <colin> 208-5.mga4
+ Revision: 556011
- Drop redundant patch (/var/run IS a symlink to /run) and renumber
- Add upstream cherry pick to not set XDG_RUNTIME_DIR when raising privs.
- Add upstream cherry-picks (same set as Fedora)
- Use correct tarball

* Thu Oct 31 2013 colin <colin> 208-4.mga4
+ Revision: 548137
- Revert conversion to posttrans as this doesn't run the needed scripts on first install

* Tue Oct 29 2013 tv <tv> 208-3.mga4
+ Revision: 547777
- move systemd-unit %%post into %%posttrans (trying to fix install deps loop errors)

* Mon Oct 21 2013 umeabot <umeabot> 208-2.mga4
+ Revision: 540515
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 colin <colin> 208-1.mga4
+ Revision: 493791
- Ensure the systemd-journal group is created before installing (mga#11264)
- New version: 208
- Rename the network rules to come after network device renaming

* Sun Sep 22 2013 colin <colin> 207-2.mga4
+ Revision: 483351
- Ensure the 'systemd-journal' group is created at install time (mga#11264)

* Sat Sep 21 2013 colin <colin> 207-1.mga4
+ Revision: 482887
- New version: 207
- Add various patches from upstream
- Revert problematic patch from upstream leading to startup delays
- Add patch from ML to address a timeout problem when stopping type=notify units

* Wed Sep 11 2013 colin <colin> 206-8.mga4
+ Revision: 477592
- Rebuild for new libcryptsetup

* Mon Sep 09 2013 colin <colin> 206-7.mga4
+ Revision: 476579
- Enable chkconfig support (mga#11191)

* Mon Sep 02 2013 colin <colin> 206-6.mga4
+ Revision: 474322
- Fix logind race condition (causes unlock issue in GNOME fdo#67273)

* Wed Aug 07 2013 colin <colin> 206-5.mga4
+ Revision: 464364
- Fix getty@ template service enabling at install time (mga#10931)

* Wed Aug 07 2013 colin <colin> 206-4.mga4
+ Revision: 464295
- Drop old, unrecognised configure arguments.
- Pass the Mageia path to rc.local script for compatibility (mga#10942)

* Fri Jul 26 2013 colin <colin> 206-3.mga4
+ Revision: 458501
- Add some upstream cherry-picks.
- Add upstream fix for udev static node permissions (mga#10840)

* Thu Jul 25 2013 colin <colin> 206-2.mga4
+ Revision: 457926
- Reorder scripts (spec cosmetics)
- Convert the netif name change disabling to a triggerun (mga4 feature)
- Perform a few extra housekeeping jobs after install/upgrade
- Ensure hwdb is properly shipped and populated on install/upgrade

* Thu Jul 25 2013 colin <colin> 206-1.mga4
+ Revision: 457904
- Enable consistent network device naming but disable on upgrade (mga4 feature)
- Remove the racy network device renaming loop patch + netif rules generator (mga4 feature)
- Provide the nss-myhostname package (with higher version than current separate package)
- nsswitch.conf patching not included in favour of including directly in default conf in glibc
- New version: 206
- Drop upstream cherry-pick patches
- Fix file lists
- Rediff Mageia patches

* Tue Jun 18 2013 colin <colin> 204-2.mga4
+ Revision: 444838
- Apply various upstream fixes

* Sat May 25 2013 colin <colin> 204-1.mga4
+ Revision: 427633
- New version: 204
- Drop upstream cherry pick patches
- Move systemd-analyze to main package and deprecated systemd-tools package

* Fri May 03 2013 colin <colin> 195-22.mga3
+ Revision: 412191
- Make default journal default to leaving 15%% free space (mga#9921)

* Sun Apr 28 2013 colin <colin> 195-21.mga3
+ Revision: 411531
- Kill unneeded directory
- Fix floating point errors with two upstream cherry picks (mga#9850)
- Re-enable previously disabled patches now that floating point error is fixed (mga#9689)

* Thu Apr 11 2013 colin <colin> 195-20.mga3
+ Revision: 409599
- Add some missing patches from SuSE package analysis
- Disable udev patches to prevent Floating point exception (mga#9689)

* Mon Apr 08 2013 colin <colin> 195-19.mga3
+ Revision: 409144
- Compile, but do not enable the coredump capturing capabilities
- Add numerous upstream patches (after reviewing SuSE package patches)
- Add SuSE patch to restore cdrw, dvd and dvdrw symlinks (mga#8524)

* Mon Apr 01 2013 colin <colin> 195-18.mga3
+ Revision: 406960
- Fix the (ugly) net rule generator to not call udevadm info --run which no longer exists

* Mon Apr 01 2013 colin <colin> 195-17.mga3
+ Revision: 406949
- Fix install line
- Make the write_net_rules able to make the rules dir if needed
- Ship /etc/udev/rules.d folder for user rules.

* Fri Feb 08 2013 colin <colin> 195-16.mga3
+ Revision: 395370
- Provide 'system-logger' rather than 'syslog-daemon' as some pkgs may require a real syslog

* Tue Feb 05 2013 tmb <tmb> 195-15.mga3
+ Revision: 394711
- write_net_rules needs to be executable to actually work

* Sun Jan 27 2013 colin <colin> 195-14.mga3
+ Revision: 392732
- Add some more upstream patches to solve problems of overzealous cleanup of PrivateTmp=yes dirs

* Sun Jan 27 2013 colin <colin> 195-13.mga3
+ Revision: 392724
- The quota services are now pulled in by mount points, hence no need to enable them explicitly

* Sun Jan 27 2013 colin <colin> 195-12.mga3
+ Revision: 392699
- Fully obsolete main sysvinit package (tools are still required)

* Sat Jan 26 2013 colin <colin> 195-11.mga3
+ Revision: 392489
- Drop a patch that has not been needed since the fstab generator rewrite

* Sat Jan 26 2013 colin <colin> 195-10.mga3
+ Revision: 392484
- Add various upstream fixes (those included in fedora's v195 package)
- Add back the sub-optimal network interface generator until mga4 i/f rename

* Tue Jan 22 2013 tv <tv> 195-9.mga3
+ Revision: 391054
- adjust group

* Tue Jan 15 2013 colin <colin> 195-8.mga3
+ Revision: 388269
- Fix build with latest glibc
- Fix autoreconf call (missing build-aux/test-driver)
- Remove ghosted files in /etc. Not needed.

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 colin <colin> 195-6.mga3
+ Revision: 330108
- Relax perms on /sys/kernel/debug for lspcidrake by non-root

* Thu Nov 29 2012 colin <colin> 195-5.mga3
+ Revision: 322974
- Apply upstream patch to fix a crash related service name lookups.
- Enable xz compression in journal logs.

* Wed Nov 07 2012 blino <blino> 195-4.mga3
+ Revision: 315425
- restart systemd-logind.service on systemd 195 upgrade to fix errors on login (logind protocol changed)

* Tue Nov 06 2012 blino <blino> 195-3.mga3
+ Revision: 314560
- obsolete consolekit, replaced by systemd-logind

* Sun Oct 28 2012 colin <colin> 195-2.mga3
+ Revision: 311312
- Enable persistent journal logs and provide syslog-daemon

* Tue Oct 23 2012 colin <colin> 195-1.mga3
+ Revision: 309449
- New version: 195
- Drop patches committed upstream

* Tue Oct 23 2012 cjw <cjw> 194-3.mga3
+ Revision: 309338
- add back udev support for interface renaming that was removed upstream

* Tue Oct 16 2012 colin <colin> 194-2.mga3
+ Revision: 307118
- Hopefully fix journald mmap leaks (mga#7675)

* Mon Oct 08 2012 colin <colin> 194-1.mga3
+ Revision: 303584
- New version: 194
- Drop tmpfiles filetrigger - it runs too late to be of universal usefulness

* Tue Oct 02 2012 guillomovitch <guillomovitch> 193-2.mga3
+ Revision: 302245
- add rpm filetriggers to run systemd-tmpfiles immediatly after package
  installation (fix #7569)

* Sun Sep 30 2012 colin <colin> 193-1.mga3
+ Revision: 301032
- Add BuildRequires on libmicrohttpd for journal-gatewayd
- New version: 193

* Thu Sep 27 2012 colin <colin> 192-1.mga3
+ Revision: 298538
- New version: 192
- Drop upstream applied patches

* Thu Sep 13 2012 colin <colin> 189-5.mga3
+ Revision: 293658
- Add epoch to usermode conflict

* Fri Sep 07 2012 colin <colin> 189-4.mga3
+ Revision: 289306
- Move reboot, halt and poweroff to bindir (removed from usermode)

* Tue Sep 04 2012 colin <colin> 189-3.mga3
+ Revision: 288278
- Various fixes to logind (sent upstream)

* Tue Aug 28 2012 colin <colin> 189-2.mga3
+ Revision: 284851
- Drop /proc/bus/usb mount as it's no longer available with kernels >= 3.5

* Fri Aug 24 2012 colin <colin> 189-1.mga3
+ Revision: 283679
- New version: 189

* Sat Aug 11 2012 colin <colin> 188-1.mga3
+ Revision: 280625
- New version: 188
- Rediff patches (restore prefdm removed from upstream for now)

* Sun Jul 29 2012 wally <wally> 187-6.mga3
+ Revision: 275776
- fix GUdev gir typelib pkg conflicts

* Sun Jul 29 2012 wally <wally> 187-5.mga3
+ Revision: 275772
- fix systemd-id128 library package name
- create a subpkg for GUdev gir typelib

* Tue Jul 24 2012 colin <colin> 187-4.mga3
+ Revision: 273984
- Rebuild with new cryptsetup

* Sun Jul 22 2012 blino <blino> 187-3.mga3
+ Revision: 273550
- remove /run/.mageia-network check for network initscript, unneded now that /var/lock is a symlink to /run/lock

* Sun Jul 22 2012 colin <colin> 187-2.mga3
+ Revision: 273411
- Update for a post-usrmove world

* Fri Jul 20 2012 colin <colin> 187-1.mga3
+ Revision: 272814
- New version: 187

* Thu Jul 19 2012 blino <blino> 186-2.mga3
+ Revision: 272623
- create and own /usr/lib/systemd/ntp-units.d (like in Fedora, useful for systemd >= 186)

* Wed Jul 04 2012 colin <colin> 186-1.mga3
+ Revision: 267780
- Simplify -devel packaging (one systemd, one udev, one gudev)
- New version: 186
- Drop upstream cherry-pick patches
- Drop upstream applied patches
- Rebase remaining patches (update udevadm settle patch for new code style)
- Drop redundant config file tweaks

* Sun Jul 01 2012 colin <colin> 185-4.mga3
+ Revision: 266233
- Migrate missing rules and related helpers from udev package.
- Migrate all missed patches from udev package (except udev-acl)

* Sun Jul 01 2012 colin <colin> 185-3.mga3
+ Revision: 265987
- Fix a missed service rename reference.

* Sat Jun 30 2012 colin <colin> 185-2.mga3
+ Revision: 265522
- Rename systemd-udev.service to systemd-udevd.service (upstream approved)

* Fri Jun 29 2012 colin <colin> 185-1.mga3
+ Revision: 264925
- New version: 185
- Merge udev package into systemd (upstream merge)
- Merge systemd-sysvinit into systemd package (sysvinit is no longer supported)
- Drop patches applied upstream.
- Cherry pick selected upstream commits
- Rebase Mageia customisation patches.
- Reimplement noauto patch for fstab entries (to prevent network mounts holding up login)
- Fix -devel library names (drop major)

* Thu Jun 14 2012 guillomovitch <guillomovitch> 185-0.1.mga3
+ Revision: 260575
- drop patch 511 (nfs-common service dependency)

* Sun May 20 2012 colin <colin> 44-13.mga2
+ Revision: 235955
- Ensure that common NFS services are started before any shares are mounted (mga#5890)

* Thu May 10 2012 colin <colin> 44-12.mga2
+ Revision: 235024
- Fix a memory leak in logind
- Include upstream commit to ignore getty's on isloation (mga#5760)
- Fix issue with rescue shell on fsck errors (rhbz#798328)
- Fix issue on overzealous process killing (rhbz#816842, rhbz#805942)
- Use generic target for ntp related implementations (allows migration to chrony in the future)
- Add upstream fix for leftover /tmp/systemd-namespace* folders (mga#5602, rhbz#810257)
- Renumber patches to drop fully patch 121 (which is already excluded)

* Wed May 02 2012 colin <colin> 44-11.mga2
+ Revision: 234557
- Silence systemd output when starting getty (mga#5091)
- Fix SIGRTMIN+21 value (I previously miscalculated)

* Sun Apr 29 2012 colin <colin> 44-10.mga2
+ Revision: 234189
- Default to multi-user.target on initial install as per initscripts (mga#5668)

* Thu Apr 26 2012 colin <colin> 44-9.mga2
+ Revision: 233322
- Fix an issue where Mageia specific code in m4 files was not processed.

* Tue Apr 17 2012 colin <colin> 44-8.mga2
+ Revision: 231247
- Drop patch that creates an ordering cycle on syslog rather than preventing it
- Mark some config files as such.

  + alien <alien>
    - Ask the user to reboot if this package is updated (mga#5388)

* Sun Apr 08 2012 colin <colin> 44-7.mga2
+ Revision: 229702
- Drop upstream patch as it seems to break OnFailure handiling.
- Tweak the display-manager-failure message to show up quicker (and use agetty)

* Sun Apr 08 2012 colin <colin> 44-6.mga2
+ Revision: 229679
- Bump for sysvinit-legacy

* Fri Apr 06 2012 colin <colin> 44-5.mga2
+ Revision: 229315
- More upstream cherry-picks
- Small fix to display manager failure system.

* Sun Apr 01 2012 colin <colin> 44-4.mga2
+ Revision: 227734
- Rebuild for new sysvinit-legacy
- No need to remove var-{lock,run}.mount units. Upstream patch removes them.
- No need to set MountAuto/SwapAuto to yes. This is the default.

* Sun Apr 01 2012 colin <colin> 44-3.mga2
+ Revision: 227667
- Numerous upstream cherry picks
- Drop usless Mandriva patch (we didn't use what it added)
- Ensure network filesystems will hold up DM only when 'nofail' is omitted in fstab
- Do not make DM wait for rc.local (we don't do thus under sysvinit)
- Make the DM failure script start later if it runs
- Fix small cosmetic issue in systemd-analyse when run too quickly after boot
- Note: journalctl and loginctl have now dropped their systemd- prefix

* Thu Mar 22 2012 dmorgan <dmorgan> 44-2.mga2
+ Revision: 225731
- Do not build the gtk UI anymore ( will be in an other rpm)

* Wed Mar 21 2012 colin <colin> 44-1.mga2
+ Revision: 225172
- Don't own /etc/profile.d dir
- New version: 44 (numerous fixes to journal+endien conversions)
- Set default pager to be more color and screen friendly
- Disable journal coredump swallowing until it gets better tools to work with it.
- Do not process modprobe.preload. This is handled by fedora-loadmodules.service
- Add patch to address CVE-2012-1174 (symlink attack)

* Mon Mar 12 2012 colin <colin> 43-5.mga2
+ Revision: 222893
- Disable rsyslog specific hacks - it does it itself now.

* Thu Mar 08 2012 colin <colin> 43-4.mga2
+ Revision: 221745
- Upstream patch to fix journal segvs (mga#4588)
- Add unit to run a special info script on display manager failure (mga#4769)

* Wed Mar 07 2012 tmb <tmb> 43-3.mga2
+ Revision: 221224
- bump sysvinit version-release provides

* Sat Mar 03 2012 colin <colin> 43-2.mga2
+ Revision: 217274
- Interpret splash=silent as an equiv of quiet (prevents some plymouth flickering)
- Recognise 'failsafe' kernel command line as synonym for 'single' (mga#4702)

* Fri Feb 24 2012 colin <colin> 43-1.mga2
+ Revision: 213880
- Add BR for docbook-style-xsl (for man pages)
- Add BR for xsltproc (for man pages)
- Add BR for libkmod
- New version: 43
- Rediffed patches
- Make prefdm conflict with getty@tty1
- Disable statically configured getty's for tty[2-6] (they are auto-activated)
- Fix distro tag in configure and drop now redundant options.

* Thu Feb 16 2012 colin <colin> 40-3.mga2
+ Revision: 209739
- Bump sysvinit release

* Tue Feb 07 2012 dmorgan <dmorgan> 40-2.mga2
+ Revision: 206042
- New version 40
  Enable libcryptsetup support

* Thu Jan 26 2012 dmorgan <dmorgan> 39-3.mga2
+ Revision: 202019
- Rebuild now that lockdev is fixed

* Thu Jan 26 2012 dmorgan <dmorgan> 39-2.mga2
+ Revision: 201786
- Requires lockdev ( mga #3551)

* Wed Jan 25 2012 colin <colin> 39-1.mga2
+ Revision: 201521
- New version: 39
- Enhanced filetriggers and made them non-config files (no more .rpmnews)
- Fixed build error relating to a systemd/user dir

  + dmorgan <dmorgan>
    - Fix unown folders

* Fri Jan 20 2012 colin <colin> 38-8.mga2
+ Revision: 198517
- Apply various upstream patches
- Add a work around for a syslog.socket deadlock on boot+shutdown

* Thu Jan 19 2012 dmorgan <dmorgan> 38-7.mga2
+ Revision: 198249
- Add a filetrigger to reload systemd when a service is updated

* Wed Jan 18 2012 dmorgan <dmorgan> 38-6.mga2
+ Revision: 197873
- Add syslog.service in %%post ( from fedora)
- Add syslog fragment

* Mon Jan 16 2012 tmb <tmb> 38-4.mga2
+ Revision: 196777
- adjust sysvinit provides so it has higher rel than current sysvinit

* Sun Jan 15 2012 blino <blino> 38-3.mga2
+ Revision: 196288
- require coreutils, grep and awk for systemd-units post scriptlet

* Fri Jan 13 2012 wally <wally> 38-2.mga2
+ Revision: 195720
- fix libgee BR

* Fri Jan 13 2012 dmorgan <dmorgan> 38-1.mga2
+ Revision: 195688
- New version 38

* Wed Dec 28 2011 dmorgan <dmorgan> 37-18.mga2
+ Revision: 188452
- Do not use systemd-sysv-convert anymore

* Mon Dec 19 2011 tv <tv> 37-17.mga2
+ Revision: 184320
- rebuild for partial build
- move systemd-sysv-convert into systemd-tools in order to unbloat minimal install
  (it requires python)

* Thu Dec 15 2011 colin <colin> 37-15.mga2
+ Revision: 182053
- Do not start getty on tty1, it's used for X11 now (mga#3430)

* Sun Dec 11 2011 lmenut <lmenut> 37-14.mga2
+ Revision: 180654
- add BuildRequires: gettext-devel, as intltool does not require it anymore
- systemd-analyze requires python-dbus & python-cairo

* Mon Nov 28 2011 colin <colin> 37-13.mga2
+ Revision: 173732
- * Fix hostname script (can't use spaces after =)
  * Tidy up variable names and mask any errors in reading files in hostname script

* Mon Nov 28 2011 dmorgan <dmorgan> 37-12.mga2
+ Revision: 173684
- Do not set hostname at first install only but always check if one is set even on upgrade

* Thu Nov 10 2011 dmorgan <dmorgan> 37-11.mga2
+ Revision: 166164
- Fix logic in %%post units

* Wed Nov 09 2011 dmorgan <dmorgan> 37-10.mga2
+ Revision: 165935
- migrate hostname from old init process
- Do not disable hwclock-load.service it does not exist anymore
- Do not enable hwclock-load.service it does not exist anymore

* Fri Nov 04 2011 colin <colin> 37-9.mga2
+ Revision: 162696
- Change how prefdm.service works (more similar to Fedora)

* Mon Oct 31 2011 colin <colin> 37-8.mga2
+ Revision: 160471
- Conflict with sysvinit properly via careful capitalisation.

* Sun Oct 30 2011 blino <blino> 37-7.mga2
+ Revision: 159891
- fix broken conflicts and provides, use version-rel, not rel-rel...
  this should make sysvinit installable again

* Sat Oct 29 2011 dmorgan <dmorgan> 37-6.mga2
+ Revision: 159654
- Rebuild to push in core media
- Fix TARGET_MAGEIA instead of TARGET_MANDRIVA

* Sat Oct 29 2011 colin <colin> 37-5.mga2
+ Revision: 159642
- Update Mageia support patch
- * Remove the parsing of /etc/mageia-release and depend on os-release
- * Link dm.service to prefdm.service to mask sysvinit version
- * Remove dependance on syslog.service as this is handled internally
- Do not own /etc/os-release (this should be in a different package)
- Remove some unneeded patches
- Add some annotations to patches to indicate where they are going (upstream/drop etc) in the future.

* Tue Oct 25 2011 dmorgan <dmorgan> 37-4.mga2
+ Revision: 158036
- Add polkit as requires in the gtk subpackage
- Include systemd-sysv-convert (Fedora )
- Own more files ( from fedora)
- Own more files
  Use rpm macro for /etc

* Sat Oct 22 2011 colin <colin> 37-3.mga2
+ Revision: 157408
- Cherry-pick some upstream patches.
- Add various patches from Mandriva.
- Do not remove units and take over several tasks from initscripts

* Mon Oct 17 2011 colin <colin> 37-2.mga2
+ Revision: 155702
- Fixup directory ownership and include some (deliberately) empty directories

  + guillomovitch <guillomovitch>
    - redundant with autoreconf usage
    - implicit build dependencies

* Wed Oct 12 2011 dmorgan <dmorgan> 37-1.mga2
+ Revision: 154059
- New version 37

* Sun Oct 09 2011 dmorgan <dmorgan> 36-1.mga2
+ Revision: 153503
- New version 36

* Wed Sep 28 2011 ovitters <ovitters> 35-5.mga2
+ Revision: 149939
- fix conflicts of devel,tool subpackages

  + dmorgan <dmorgan>
    - Requires nss-myhostname

* Mon Sep 19 2011 tv <tv> 35-4.mga2
+ Revision: 145664
- bump release
- split out systemd-analyze in systemd-tools since it requires python
  (saves 30mb in minimal basesystem)
  also do not pulls pkgconfig in minimal basesystem

* Fri Sep 09 2011 dmorgan <dmorgan> 35-3.mga2
+ Revision: 141908
- Comment non working command (need debugging)
- Remove rpm macro, will be in rpm-setup

* Fri Sep 09 2011 dmorgan <dmorgan> 35-2.mga2
+ Revision: 141666
- add macros.systemd file for %%{_unitdir}

* Thu Sep 08 2011 dmorgan <dmorgan> 35-1.mga2
+ Revision: 141393
- New version 35
- Add some configuration file
  Add %%post with default commands ( ex: systemd-machine-id-setup )
- Add upstream patches to fix build ( tpg )
  Add gperf as Buildrequire
- Remove old source
- Fix mageia detection
- Specify the distro
- Rediff patch13
- New version 32
  Rediff Mageia support patch
  fix file lists ( based on eugeni work )

  + colin <colin>
    - New version: 34

* Fri Jul 15 2011 colin <colin> 30-2.mga2
+ Revision: 124435
- Fixup systemd Mageia support patch
  o Use tabs rather than spaces in Makefile (otherwise it chokes)
  o Fix a TARGET_MANDRIVA -> TARGET_MAGEIA leftover.
  o Fix a define handling leftover in service.c

  + dmorgan <dmorgan>
    - Add mageia support in systemd

* Fri Jul 15 2011 dmorgan <dmorgan> 30-1.mga2
+ Revision: 124355
- Fix udev buildrequire version
- Rebuild against new libnotify

  + eugeni <eugeni>
    - We need /run to use systemd properly.
    - Updated to systemd 30

  + mikala <mikala>
    - Add patch14 so systemd can build with vala 0.12

* Thu Feb 17 2011 dmorgan <dmorgan> 18-1.mga1
+ Revision: 52867
- Fix file list
- New version
  Remove patch15: Merged upstream

* Sat Feb 12 2011 spuhler <spuhler> 17-2.mga1
+ Revision: 51174
- initial import
- removed Patch14:	systemd-17-hwclock-hctosys.patch
  added Patch15:	systemd-17-fix-cgroup.patch
- added patch 14
- added Requires: systemd-units = %%{EVRD}
  added +Patch14:   systemd-17-hwclock-hctosys.patch
- removed buildroot definition from .spec
  put buildrequires each in one line

  + dmorgan <dmorgan>
    - Use fedora as distro name as mageia is not yet defined
    - Fix distro name
    - Merge mdv commit 634092
    - New version 17
    - Remove old binaries
    - Sync with mdv

* Mon Jan 17 2011 blino <blino> 15-5.mga1
+ Revision: 21515
- adapt requires
- rename /etc/release patch
- use /etc/release file
- imported package systemd


* Tue Dec 28 2010 Eugeni Dodonov <eugeni@mandriva.com> 15-4mdv2011.0
+ Revision: 625680
- Allow systemd to be installed instead of sysvinit.

* Fri Dec 03 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 15-3mdv2011.0
+ Revision: 606522
- use native shutdown services

* Fri Dec 03 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 15-2mdv2011.0
+ Revision: 605806
- P13: use /etc/mandriva-release for welcome message
- correctly disable systemd-random-seed-load.service for now
- restore systemd-update-utmp-runlevel.service

* Wed Dec 01 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 15-1mdv2011.0
+ Revision: 604583
- update to v15
- drop P2, P8: units provided by initscripts now
- rediff P4, P5
- drop P9, P10, P11: upstream
- P12: support build with libnotify < 0.7 (GIT); BR automake/autoconf
- /etc/init.d/reboot provided by initscripts now
- session* became user* now
- systemd-ask-password-agent => systemd-gnome-ask-password-agent
- for now remove most of native services from default activation
- drop docbook/xslt BR
- require recent enough initscripts

* Tue Nov 30 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-7mdv2011.0
+ Revision: 603786
- for now remove services installed or provided by initscripts package

* Sun Nov 28 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-6mdv2011.0
+ Revision: 602332
- require initscripts >= 9.21
- drop P0, use /sys/fs/cgroup (needs kernel 2.6.36)
- drop P3, S1; use /etc/init.d/halt from initscripts now
- patch1: drop, not needed with new docbook-style-xsl

* Sat Nov 06 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-5mdv2011.0
+ Revision: 593996
- patch6: do not disable reading of /etc/locale.conf

* Tue Nov 02 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-4mdv2011.0
+ Revision: 592331
- patch11: fix device ACLs after systemd installation
- patch10: fix startup with IPv6 disabled

* Mon Oct 25 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-3mdv2011.0
+ Revision: 589354
- yet another attempt to get update scripts right
- patch9: fix systemctl enable getty@.service (upstream)

* Sat Oct 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-2mdv2011.0
+ Revision: 586020
- patch8: fix entering single user mode, revert to /bin/sh

* Sat Oct 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-1mdv2011.0
+ Revision: 585969
- source1: remove some actions now performed by systemd units
- disable MountAuto and SwapAuto (Fedora)
- re-exec daemon on glibc and self update
- disable more services from rc.sysinit
- patch7: break loop between network.target and network-up.sevice
- for now disable services performed by initscripts
- getty.target is now enabled by default
- patch6: Mandriva support in locale setup
- patch5: Mandriva support in keyboard setup
- move /etc/systemd/system.conf, /bin/systemctl in main package; they are
  usable without units. Remove duplicated LICENSE inclusion.
- new version

* Sat Sep 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-7mdv2011.0
+ Revision: 579679
- patch4: use messagebus for special D-Bus service for now
- source1, patch3: local version of halt script that does not unmount cgroup
- do not enable prefdm.service, we start display manager in initscirpt
- fix syslog-service
- /etc/systemd and /lib/systemd should be owned by main package

* Sat Sep 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-6mdv2011.0
+ Revision: 579486
- fix postinstallation script to create default links

* Thu Sep 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-5mdv2011.0
+ Revision: 579036
- patch2: fix shutdown/reboot with legacy /sbin/halt

* Wed Sep 15 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-4mdv2011.0
+ Revision: 578750
- do not delete *.wanted files; getty does not start without them
- set distro to fedora for now; too much is missing with 'other'

* Wed Sep 15 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-3mdv2011.0
+ Revision: 578704
- it's _initrddir, not _initdir

* Wed Sep 15 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-2mdv2011.0
+ Revision: 578688
- patch1: fix man pages rebuild after patch0
- patch0: use /cgroup until /sys/fs/cgroup is supported by kernel
- runlevelN.target are in /lib now
- remove Requires: libudev, it is computed automatically

* Wed Sep 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 10-1mdv2011.0
+ Revision: 578379
- prepare to release as dbus was updated to 1.4.0 version
- fix file list
- import systemd

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - new version

